eiskaltdcpp(1)

NAME
EiskaltDC++ - graphical client for Direct Connect which uses Qt libraries

SYNOPSIS

eiskaltdcpp <magnet link> <dchub://link> <adc(s)://link>
eiskaltdcpp <Key>

DESCRIPTION

EiskaltDC++ is a program for UNIX-like systems that uses the Direct Connect and ADC protocol. It is compatible with other DC clients, such as the original DC from Neomodus, DC++ and derivatives. EiskaltDC++ also interoperates with all common DC hub software.

COMMAND LINE OPTIONS
A summary of options is included below.

-h,  --help
    display help and exit

-v,  --version
    output version information and exit

KEYBOARD SHORTCUTS

Ctrl+O
    Open options window

Ctrl+L
    Open own filelist

Ctrl+E
    Refresh share

Ctrl+R
    Reconnect to hub

Ctrl+N
    Quick connect

Ctrl+H
    Favourite hubs

Ctrl+P
    Public hubs

Ctrl+U
    Favourite users

Ctrl+T
    Show/hide transfers widget

Ctrl+D
    Show/hide downloads queue widget

Ctrl+S
    Open search widget

Ctrl+F
    Show/hide find or filter frame

Ctrl+A
    Select all

Ctrl+W
    Close current widget

Ctrl+M
    Show/hide main menu

Ctrl+PageDown
    Switch to the next widget. Available only if widget panel is used, not working in mode of sidebar.

Ctrl+PageUp
    Switch to the previous widget. Available only if widget panel is used, not working in mode of sidebar.

Ctrl++
    Zoom in text in the chat

Ctrl+-
    Zoom out text in the chat

Ctrl+Mousewheel
    Change font size in the chat

Alt+<0-9>
    Go to one of the first ten widgets. Available only if widget panel is used, not working in mode of sidebar.

Esc Hide find or filter frame. Also it close dialog window. Otherwise hide main window in tray (if tray icon is enabled)

Del Delete selected items. Now available in Download Queue widget.

CHAT COMMANDS
/aspell on/off - enable/disable spell checking (only if program was build with aspell support)
/alias <ALIAS_NAME>::<COMMAND> - make alias /ALIAS_NAME to /COMMAND
    For example, command
    /alias amarok::/sh /usr/share/eiskaltdcpp/examples/amr.en_US.sh
    will create alias /amarok
/alias purge <ALIAS_NAME> - remove alias
/alias list - list all aliases
/away <message> - set away-mode on/off
/back - set away-mode off
/browse <nick> - browse user files
/clear - clear chat window
/magnet - default action with magnet (0-ask, 1-search, 2-download)
/close - close this hub
/fav - add this hub to favorites
/grant <nick> - grant extra slot to user
/help, /?, /h - show help
/info <nick> - show info about user
/me - say a third person
/pm <nick> - begin private chat with user
/sh <command> - start command and redirect output to the chat
/ws <option> [value] - edit config (~/.eiskaltdc++/EiskaltDC++.xml), also you can edit it manually
    For example:
    /ws chat-dbl-click-action <0-2> (double click)
    /ws chat-mdl-click-action <0-2> (middle click)
    (0 - insert nick into input widget, 1 - get file list, 2 - private message)
    /ws app-unit-base <1024 or 1000> (show kibibyte (KiB) or kilobyte (KB), etc.)
    /ws chat-timestamp <hh:mm:ss, hh:mm, hh and etc.> (set chat timestamp)

FILES

~/.eiskaltdc++ or ~/.config/eiskaltdc++/ or $XDG_CONFIG_HOME/eiskaltdc++/
    Directory with configuration files

/usr/share/eiskaltdcpp/examples
    Directory with examples of custom scripts (see /sh chat command)

AUTHOR
This program was written by Andrey Karlov <dein.negativ@gmail.com>.
EiskaltDC++ homepage: http://code.google.com/p/eiskaltdc/

BUG REPORTS
If you find a bug in EiskaltDC++ please report it here: http://code.google.com/p/eiskaltdc/issues/list

This manual page was written by Boris Pek <tehnick-8@mail.ru> for the Debian project (and may be used by others).